<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    Mutasi Rekening
                </h4>
            </div>
            <div class="panel-body">
                <ul class="nav-responsive nav nav-tabs">
                    <li class="active"><a href="#tab1" data-toggle="tab">Migrasi Data Rekening</a></li>
                    <li><a href="#tab2" data-toggle="tab">Analisa Objek Rekening Lama</a></li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane active" id="tab1">
                        <div class="example-box-wrapper">
                            <div class="row" style="overflow: auto; padding-bottom: 5px;">
                                <a href="<?= $this->url() ?>/tambah" class="btn btn-primary">Tambah</a>
                            </div>
                            <div class="row" style="overflow: auto;">
                                <table class="table table-condensed table-bordered cf tableDaftar">
                                    <thead>
                                        <tr>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" rowspan="2">No</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" colspan="3">Rekening Baru</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" colspan="3">Rekening Lama</th>

                                        </tr>
                                        <tr>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Kode</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Nama</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Tgl Berlaku</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Kode</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Nama</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Tgl Berlaku</th>
                                        </tr>
                                    </thead>
                                    <tbody id="datagrid_korek">
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td colspan="7" class="text-center">
                                                <div class="row">
                                                    <div class="col-sm-3 text-left">
                                                        <span class="hiddene">
                                                            <select id="rows" class="form-control" style="width: 30%" onchange="calldatagrid(1)">
                                                                <option value="10">10</option>
                                                                <option value="20">20</option>
                                                                <option value="30">30</option>
                                                                <option value="40">40</option>
                                                                <option value="50">50</option>
                                                            </select>
                                                        </span>
                                                    </div>
                                                    <div class="col-sm-6" style="text-align: center">
                                                        <center>
                                                            <div id="paginatore"></div>
                                                            <input type="hidden" id="page" value="1">
                                                        </center>
                                                    </div>
                                                    <div class="col-sm-3 text-right">
                                                        <span class="hiddene">
                                                            <p>
                                                                <b style="font-size: 13px; color: orangered"><span id="awaldata"></span> s/d <span id="akhirdata"></span> Dari <span id="total_data"></span> Data</b>
                                                            </p>
                                                        </span>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="tab2">
                        <div class="example-box-wrapper">
                            <div class="row" style="overflow: auto;">
                                <table class="table table-condensed table-bordered cf tableDaftar">
                                    <thead>
                                        <tr>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" rowspan="2">No</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" rowspan="2">Nama Objek</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" colspan="3">Rekening Baru</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" colspan="3">Rekening Lama</th>

                                        </tr>
                                        <tr>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Kode</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Nama</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Tgl Berlaku</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Kode</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Nama</th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center;">Tgl Berlaku</th>
                                        </tr>
                                    </thead>
                                    <tbody id="datagrid_korekobjek">
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <td colspan="8" class="text-center">
                                                <div class="row">
                                                    <div class="col-sm-3 text-left">
                                                        <span class="hiddene">
                                                            <select id="rows_korekobjek" class="form-control" style="width: 30%" onchange="calldatagrid_korekobjek(1)">
                                                                <option value="10">10</option>
                                                                <option value="20">20</option>
                                                                <option value="30">30</option>
                                                                <option value="40">40</option>
                                                                <option value="50">50</option>
                                                            </select>
                                                        </span>
                                                    </div>
                                                    <div class="col-sm-6" style="text-align: center">
                                                        <center>
                                                            <div id="paginatore_korekobjek"></div>
                                                            <input type="hidden" id="page_korekobjek" value="1">
                                                        </center>
                                                    </div>
                                                    <div class="col-sm-3 text-right">
                                                        <span class="hiddene">
                                                            <p>
                                                                <b style="font-size: 13px; color: orangered"><span id="awaldata_korekobjek"></span> s/d <span id="akhirdata_korekobjek"></span> Dari <span id="total_data_korekobjek"></span> Data</b>
                                                            </p>
                                                        </span>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="dataobjek"></div>
    </div>
</div>

<script type="text/javascript">
    $(function() {
        calldatagrid();
        calldatagrid_korekobjek();
    });

    function calldatagrid(direction) {
        datagrid($("#page").val(), $("#rows").val(), direction);
    }

    function datagrid(page, row, direction, par1, par2, par3, par4, par5, par6) {
        $.get('<?= $this->url() ?>/dataGridMigrasirek/' + page + '/' + row + '/' + direction, function(data) {
            var aa = JSON.parse(data)

            $("#datagrid_korek").html(aa.grid);
            $("#rows").val(aa.rows);
            $("#page").val(aa.page);
            $("#total_data").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
            $("#paginatore").html(aa.paginatore);
            $("#awaldata").html(aa.awaldata);
            $("#akhirdata").html(aa.akhirdata);
        });
    }

    function calldatagrid_korekobjek(direction) {
        datagrid_korekobjek($("#page_korekobjek").val(), $("#rows_korekobjek").val(), direction);
    }

    function datagrid_korekobjek(page, row, direction) {
        $.get('<?= $this->url() ?>/dataGridkorekobjek/' + page + '/' + row + '/' + direction, function(data) {
            var aa = JSON.parse(data)

            $("#datagrid_korekobjek").html(aa.grid);
            $("#rows_korekobjek").val(aa.rows);
            $("#page_korekobjek").val(aa.page);
            $("#total_data_korekobjek").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
            $("#paginatore_korekobjek").html(aa.paginatore);
            $("#awaldata_korekobjek").html(aa.awaldata);
            $("#akhirdata_korekobjek").html(aa.akhirdata);
        });
    }
</script>